Bug 447110 - SELinux preventing gdm-user-switch (staff_t)*dac_override* to <unknown>(staff_t)
SELinux preventing gdm-user-switch (staff_t)*dac_override* to <unknown>(staf...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 19:10 EDT by Al Dunsmuir
Modified: 2015-01-14 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Al Dunsmuir 2008-05-17 19:10:44 EDT
Description of problem: *CONTINUAL* alerts of this type after F8 to F9 upgrade

Upgraded older but stable F8 SELinux-enabled system (Asus dual P3, 1GHz) to F9.
After upgrade, logged on as root. Unable to do many operations including updates
- many AVC errors.  Rebooted with selinux=0, and created /.autolabel file with
touch.  Rebooted normally, SELinux labelling completed. Did "yum update" in
xterm, which succeeded.  Rebooted.  Normal operation except for this one alert
which appears to occur once per second - 550 and counting since logon (I erased
previous history).

I've not logged on to the other 2 IDs defined on this system... figured I'd best
get things clean as root first.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: Output from "Copy Alert" attached. 

Summary:

SELinux is preventing gdm-user-switch (staff_t) "dac_override" to <Unknown>
(staff_t).

Detailed Description:

SELinux denied access requested by gdm-user-switch. It is not expected that this
access is required by gdm-user-switch and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                root:staff_r:staff_t:SystemLow-SystemHigh
Target Context                root:staff_r:staff_t:SystemLow-SystemHigh
Target Objects                None [ capability ]
Source                        gdm-user-switch
Source Path                   /usr/libexec/gdm-user-switch-applet
Port                          <Unknown>
Host                          leeloo.fernbank.whitby.ca
Source RPM Packages           gdm-user-switch-applet-2.22.0-1.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-42.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     leeloo.fernbank.whitby.ca
Platform                      Linux leeloo.fernbank.whitby.ca
                              2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53
                              EDT 2008 i686 i686
Alert Count                   360
First Seen                    Sat 17 May 2008 06:47:46 PM EDT
Last Seen                     Sat 17 May 2008 06:59:42 PM EDT
Local ID                      8da5af5c-b827-449d-a2c3-61e6ab2dc251
Line Numbers                  

Raw Audit Messages            

host=leeloo.fernbank.whitby.ca type=AVC msg=audit(1211065182.314:510): avc: 
denied  { dac_override } for  pid=3002 comm="gdm-user-switch" capability=1
scontext=root:staff_r:staff_t:s0-s0:c0.c1023
tcontext=root:staff_r:staff_t:s0-s0:c0.c1023 tclass=capability

host=leeloo.fernbank.whitby.ca type=AVC msg=audit(1211065182.314:510): avc: 
denied  { dac_read_search } for  pid=3002 comm="gdm-user-switch" capability=2
scontext=root:staff_r:staff_t:s0-s0:c0.c1023
tcontext=root:staff_r:staff_t:s0-s0:c0.c1023 tclass=capability

host=leeloo.fernbank.whitby.ca type=SYSCALL msg=audit(1211065182.314:510):
arch=40000003 syscall=292 success=no exit=-13 a0=12 a1=857c778 a2=1002fce
a3=85883e0 items=0 ppid=1 pid=3002 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0
egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="gdm-user-switch"
exe="/usr/libexec/gdm-user-switch-applet"
subj=root:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
Comment 1 Al Dunsmuir 2008-05-19 20:09:11 EDT
The fates have intervened- the power supply on my small Dell F8 box died, and I
now have to set up DNS, DHCP, other servers on this box ASAP.

I had originally upgraded this box from F8 to F9.  I reformatted as F9 and none
of the SELinux problems showed themselves - clean install so far (OK... bind is
being a bit reluctant, but I'll check that component separately).

Hopefully the original report provides some insight, making your time worthwhile.

Al
Comment 2 Bug Zapper 2009-06-09 20:56:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 14:01:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.